# std::experimental::basic_string_view::max_size

From cppreference.com
< cpp‎ | experimental‎ | basic string view

constexpr size_type max_size() const; |  | (library fundamentals TS)

The largest possible number of char-like objects that can be referred to by a `basic_string_view`.

### Parameters

(none)

### Return value

Maximum number of characters.

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant.

### See also

size length | returns the number of characters (public member function)
empty | checks whether the view is empty (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/basic_string_view/max_size&oldid=91690"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template